### Hierarchy

- TableDomAdapter

### Implements

- TableAdapter

## Index

### Constructors

- constructor

### Properties

- tableElement

### Accessors

- lastColumnIndex
- lastRowIndex

### Methods

- findCell
- findCellInColumn
- findCellInRow
- findColumnIndex
- findIndex
- findRowIndex
- getCell
- getColumn
- getRealRowLength
- getRow

## Constructors

### constructor

- new TableDomAdapter(tableElement: HTMLTableElement): TableDomAdapter

- - Defined in src/table/table-adapter.class.ts:116

  #### Parameters

  - ##### tableElement: HTMLTableElement

  #### Returns TableDomAdapter

## Properties

### tableElement

tableElement: HTMLTableElement

- Defined in src/table/table-adapter.class.ts:126

## Accessors

### lastColumnIndex

lastColumnIndex:

- Defined in src/table/table-adapter.class.ts:107

### lastRowIndex

lastRowIndex:

- Defined in src/table/table-adapter.class.ts:114

## Methods

### Protected findCell

- findCell(cells: HTMLTableCellElement[], targetIndex: number, spanDirection: TableDomSpanDirection): object

- - Defined in src/table/table-adapter.class.ts:295

  #### Parameters

  - ##### cells: HTMLTableCellElement[]

  - ##### targetIndex: number

  - ##### spanDirection: TableDomSpanDirection

  #### Returns object

  - ##### cell: HTMLTableCellElement

  - ##### realIndex: number

### Protected findCellInColumn

- findCellInColumn(col: HTMLTableCellElement[], index: number): object

- - Defined in src/table/table-adapter.class.ts:332

  #### Parameters

  - ##### col: HTMLTableCellElement[]

  - ##### index: number

  #### Returns object

  - ##### cell: HTMLTableCellElement

  - ##### realIndex: number

### Protected findCellInRow

- findCellInRow(row: HTMLTableCellElement[], index: number): object

- - Defined in src/table/table-adapter.class.ts:322

  #### Parameters

  - ##### row: HTMLTableCellElement[]

  - ##### index: number

  #### Returns object

  - ##### cell: HTMLTableCellElement

  - ##### realIndex: number

### findColumnIndex

- findColumnIndex(cell: HTMLTableCellElement): number

- - Defined in src/table/table-adapter.class.ts:192

  #### Parameters

  - ##### cell: HTMLTableCellElement

  #### Returns number

### findIndex

- findIndex(cell: HTMLTableCellElement): [number, number]

- - Defined in src/table/table-adapter.class.ts:271

  #### Parameters

  - ##### cell: HTMLTableCellElement

  #### Returns [number, number]

  a tuple that follows the `[row, column]` convention

### findRowIndex

- findRowIndex(cell: HTMLTableCellElement): number

- - Defined in src/table/table-adapter.class.ts:257

  #### Parameters

  - ##### cell: HTMLTableCellElement

  #### Returns number

### getCell

- getCell(row: number, column: number): HTMLTableCellElement

- - Defined in src/table/table-adapter.class.ts:134

  #### Parameters

  - ##### row: number

  - ##### column: number

  #### Returns HTMLTableCellElement

### getColumn

- getColumn(column: number): HTMLTableCellElement[]

- - Defined in src/table/table-adapter.class.ts:147

  #### Parameters

  - ##### column: number

  #### Returns HTMLTableCellElement[]

### Protected getRealRowLength

- getRealRowLength(row: HTMLTableRowElement): number

- - Defined in src/table/table-adapter.class.ts:283

  #### Parameters

  - ##### row: HTMLTableRowElement

  #### Returns number

### getRow

- getRow(row: number): HTMLTableRowElement

- - Defined in src/table/table-adapter.class.ts:183

  #### Parameters

  - ##### row: number

  #### Returns HTMLTableRowElement

Generated using TypeDoc